# std::char_traits::copy

From cppreference.com
< cpp‎ | string‎ | char traits

static char_type* copy( char_type* dest, const char_type* src, std::size_t count ); |  |

Copies `count` character from character string pointed to by `src` to character string pointed to by `dest`.

The behavior is undefined if copied character ranges overlap, i.e. `src` is in [`dest`, `dest + count`).

### Parameters

dest | - | pointer to a character string to copy to
src | - | pointer to a character string to copy from
count | - | the number of characters to copy

### Return value

`dest`

### Exceptions

(none)

### Complexity

Linear.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/copy&oldid=51259"